# Scrape Jobs Search Results

With this API you can scrape jobs for any given area and field. You can even sort them on the basis of their posting dates.

You have to send a GET request to **`http://api.scrapingdog.com/jobs`** with the below-given parameters.

### Parameters

| Parameter                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> | <p>Your personal API key. Available on your dashboard<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <p>field<br><br><mark style="color:red;">required</mark></p>    | <p>You can use this parameter to pass either a <strong><code>job title</code></strong> or the <strong><code>name of the company</code></strong>.</p><p></p><p>Example - <strong><code>Product Manager</code></strong></p><p><em><strong>OR</strong></em></p><p>Example - <strong><code>Amazon</code></strong><br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                               |
| geoid                                                           | <p>This is the unique location ID.<br><br>Default: <code>92000000</code><br><br><code>92000000</code> searches for jobs globally.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| location                                                        | <p>This is the location of the place you want the job listings from.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| <p>page<br><br></p>                                             | <p>This is the page number of the jobs page. It should be greater than 0. <br><br>Default: <code>1</code><br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| sort\_by                                                        | <p>This is an optional parameter through which you can sort jobs on the basis of their posting dates.<br><br>Possible Values - <em><strong><code>day</code></strong></em>, <em><strong><code>week</code></strong></em> or <em><strong><code>month</code></strong></em><br><br><em><strong><code>day</code></strong></em> will provide jobs that were posted in the last <strong>24 hours</strong>. <em><strong><code>week</code></strong></em> will provide for the <strong>last 7 days</strong> and <em><strong><code>month</code></strong></em> will provide for the <strong>last 30 days</strong>.</p><p></p><p>Type: <em><strong>String</strong></em></p> |
| job\_type                                                       | <p>This parameter will help you extract all the jobs according to the type of job offered by the company.<br><br>Possible Values - <em><strong><code>temporary</code></strong></em>, <em><strong><code>contract</code></strong></em>, <em><strong><code>volunteer</code></strong></em>, <em><strong><code>full\_time</code></strong></em> & <em><strong><code>part\_time</code></strong></em>.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                              |
| exp\_level                                                      | <p>This parameter will help you filter out the jobs based on the experience required to apply for the job.<br><br>Possible Values - <em><strong><code>internship</code></strong></em>, <em><strong><code>entry\_level</code></strong></em>, <em><strong><code>associate</code></strong></em>, <em><strong><code>mid\_senior\_level</code></strong></em> & <em><strong><code>director</code></strong></em>.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                  |
| work\_type                                                      | <p>This parameter will help you filter out the jobs based on their working model.<br><br>Possible Values - <em><strong><code>at\_work</code></strong></em>, <em><strong><code>remote</code></strong></em>,  & <em><strong><code>hybrid</code></strong></em>.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                |
| filter\_by\_company                                             | <p>This parameter requires company ID and will help you get jobs for that particular company.<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |

### API Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl "https://api.scrapingdog.com/jobs/?api_key=5eaa61a6e562fc52fe763tr516e4653&field=python&geoid=100293800&page=1"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

# Define the URL and parameters
url = "https://api.scrapingdog.com/jobs/"
params = {
    "api_key": "5eaa61a6e562fc52fe763tr516e4653",
    "field": "python",
    "geoid": "100293800",
    "page": "1"
}

# Send a GET request with the parameters
response = requests.get(url, params=params)

# Check if the request was successful (status code 200)
if response.status_code == 200:
    # Access the response content
    data = response.json()
    print(data)
else:
    print("Request failed with status code:", response.status_code)

```

{% endtab %}

{% tab title="Nodejs" %}

```javascript
const axios = require('axios');

// Define the URL and parameters
const url = "https://api.scrapingdog.com/jobs/";
const params = {
    api_key: "5eaa61a6e562fc52fe763tr516e4653",
    field: "python",
    geoid: "100293800",
    page: 1
};

// Send a GET request with the parameters
axios.get(url, { params })
    .then(response => {
        // Check if the request was successful (status code 200)
        if (response.status === 200) {
            // Access the response data
            const data = response.data;
            console.log(data);
        } else {
            console.log("Request failed with status code:", response.status);
        }
    })
    .catch(error => {
        console.error("An error occurred:", error);
    });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

// Define the URL and parameters
$url = "https://api.scrapingdog.com/jobs/";
$params = [
    'api_key' => '5eaa61a6e562fc52fe763tr516e4653',
    'field' => 'python',
    'geoid' => '100293800',
    'page' => 1
];

// Initialize cURL session
$ch = curl_init($url);

// Set cURL options
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));

// Execute cURL session
$response = curl_exec($ch);

// Check if the request was successful
if ($response !== false) {
    // Access the response data
    echo $response;
} else {
    echo 'Request failed: ' . curl_error($ch);
}

// Close cURL session
curl_close($ch);

?>

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'uri'

# Define the URL and parameters
url = URI.parse("https://api.scrapingdog.com/jobs/?api_key=5eaa61a6e562fc52fe763tr516e4653&field=python&geoid=100293800&page=1")

# Send a GET request
response = Net::HTTP.get(url)

# Check if the request was successful (status code 200)
if response.code == '200'
  puts response.body
else
  puts "Request failed with status code: #{response.code}"
end

```

{% endtab %}

{% tab title="Java" %}

```java
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import java.io.IOException;

public class Main {
    public static void main(String[] args) {
        OkHttpClient client = new OkHttpClient();
        String url = "https://api.scrapingdog.com/jobs/?api_key=5eaa61a6e562fc52fe763tr516e4653&field=python&geoid=100293800&page=1";

        Request request = new Request.Builder()
                .url(url)
                .get()
                .build();

        try {
            Response response = client.newCall(request).execute();
            if (response.isSuccessful()) {
                System.out.println(response.body().string());
            } else {
                System.out.println("Request failed with status code: " + response.code());
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

```

{% endtab %}
{% endtabs %}

### Response

```json
[
    {
        "job_position": "Graduate Data Scientist",
        "job_link": "https://www.linkedin.com/jobs/view/graduate-data-scientist-at-caesars-entertainment-4343068301?position=1&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=zaBpP%2FhAmYj1lSGEN8CiVw%3D%3D",
        "job_id": "4343068301",
        "company_name": "Caesars Entertainment",
        "company_profile": "https://www.linkedin.com/company/caesars-entertainment-inc?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-11",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D560BAQE7vU33kd4cNQ/company-logo_100_100/company-logo_100_100/0/1688225268630/caesars_entertainment_inc_logo?e=2147483647&v=beta&t=RXfrkoXdBJ57ws2Z7Em9TJ3ZelVwluaaIs0BfehVGBM"
    },
    {
        "job_position": "Data Analyst Operations",
        "job_link": "https://www.linkedin.com/jobs/view/data-analyst-operations-at-allegiant-4344620166?position=2&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=AwWw88cjAlbt5rWryUMkaQ%3D%3D",
        "job_id": "4344620166",
        "company_name": "Allegiant",
        "company_profile": "https://www.linkedin.com/company/allegiant-air?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-11-22",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/C560BAQGR-R9a4cPpag/company-logo_100_100/company-logo_100_100/0/1630572664594?e=2147483647&v=beta&t=fWuqACa1Ov8eifl_JlTczzEh411HZCPmHoYgQwfScoE"
    },
    {
        "job_position": "Data Analyst",
        "job_link": "https://www.linkedin.com/jobs/view/data-analyst-at-seneca-holdings-4327627717?position=3&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=f4eUw5O317fYUSXy%2BXX3GA%3D%3D",
        "job_id": "4327627717",
        "company_name": "Seneca Holdings",
        "company_profile": "https://www.linkedin.com/company/senecaholdings?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-15",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQHe7rbRFIVT_A/company-logo_100_100/company-logo_100_100/0/1630602705947/seneca_holdings_llc_logo?e=2147483647&v=beta&t=9Z-EQhRmNbjIzPHeGs6hJtf11t09NbXGHKbR68nf8kg"
    },
    {
        "job_position": "Data Scientist II",
        "job_link": "https://www.linkedin.com/jobs/view/data-scientist-ii-at-allegiant-4344519292?position=4&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=6%2FNFj6msEU0FmLyaqeOeig%3D%3D",
        "job_id": "4344519292",
        "company_name": "Allegiant",
        "company_profile": "https://www.linkedin.com/company/allegiant-air?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-17",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/C560BAQGR-R9a4cPpag/company-logo_100_100/company-logo_100_100/0/1630572664594?e=2147483647&v=beta&t=fWuqACa1Ov8eifl_JlTczzEh411HZCPmHoYgQwfScoE"
    },
    {
        "job_position": "Graduate Data Scientist",
        "job_link": "https://www.linkedin.com/jobs/view/graduate-data-scientist-at-caesars-sportsbook-casino-4349617767?position=5&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=nOCiAtyq8iJCHooxd4i8EQ%3D%3D",
        "job_id": "4349617767",
        "company_name": "Caesars Sportsbook & Casino",
        "company_profile": "https://www.linkedin.com/company/caesarssportsbookandcasino?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-11",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/C560BAQHc-ullO_sUNg/company-logo_100_100/company-logo_100_100/0/1631748832174/caesars_digital_logo?e=2147483647&v=beta&t=w-BnVg7R5WfB4cMYO0RAPOW2QplMYHQxmMBWVUny4aM"
    },
    {
        "job_position": "Business Analyst",
        "job_link": "https://www.linkedin.com/jobs/view/business-analyst-at-libra-solutions-4340756887?position=6&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=%2FPol0%2FESjRUwkfGhMEQh1A%3D%3D",
        "job_id": "4340756887",
        "company_name": "Libra Solutions",
        "company_profile": "https://www.linkedin.com/company/libra-solutions?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-19",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D560BAQEGeKT8Rik1Hw/company-logo_100_100/B56ZUBf0JCHEAU-/0/1739486872470/libra_solutions_logo?e=2147483647&v=beta&t=o7gskqmK8c_YeEL9zTGHkCNjL7zIhwS3sQyTHQkvqVQ"
    },
    {
        "job_position": "Software Engineer I",
        "job_link": "https://www.linkedin.com/jobs/view/software-engineer-i-at-credit-one-bank-4342774864?position=7&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=wvsfrVIxdXuzA8WXhXdTTw%3D%3D",
        "job_id": "4342774864",
        "company_name": "Credit One Bank",
        "company_profile": "https://www.linkedin.com/company/creditonebank?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-08",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/C560BAQF-4UAno97IDg/company-logo_100_100/company-logo_100_100/0/1660158252845/creditonebank_logo?e=2147483647&v=beta&t=ZkxoGNQiQ-qromiBqsH8qH7pNNJPOQ2ywEi_MwEYyaE"
    },
    {
        "job_position": "Senior Data Analyst",
        "job_link": "https://www.linkedin.com/jobs/view/senior-data-analyst-at-alopex-4337032184?position=8&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=o7dv6%2Baa5dzFSr36i9fyMQ%3D%3D",
        "job_id": "4337032184",
        "company_name": "Alopex",
        "company_profile": "https://www.linkedin.com/company/alopexcare?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-11-19",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D4E0BAQFC0VTRO62ImQ/company-logo_100_100/company-logo_100_100/0/1706555225792/alopexcare_logo?e=2147483647&v=beta&t=noToCz9lbs5u3hQZz0CNJcXQvz-EHH7k-oovIMIgBGw"
    },
    {
        "job_position": "Robot Data Processing Specialist",
        "job_link": "https://www.linkedin.com/jobs/view/robot-data-processing-specialist-at-richtech-robotics-4279524192?position=9&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=gDUzBNFppsHSbJg1jt2xrA%3D%3D",
        "job_id": "4279524192",
        "company_name": "Richtech Robotics",
        "company_profile": "https://www.linkedin.com/company/richtech-robotics?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-08-03",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D560BAQFQPAe1GWIrVQ/company-logo_100_100/company-logo_100_100/0/1730850470467/richtech_robotics_logo?e=2147483647&v=beta&t=93a-HfkXBZ7clZemV0pNDiPsVnfTiM9q27Ac5Z6mhOM"
    },
    {
        "job_position": "ANALYST - CASINO OPTIMIZATION",
        "job_link": "https://www.linkedin.com/jobs/view/analyst-casino-optimization-at-venetian-meetings-4348601461?position=10&pageNum=0&refId=Z%2Bj4OxXkRdGR4ntRH0TSww%3D%3D&trackingId=KefLlnh%2B%2BLOCsXwWTNeQ1A%3D%3D",
        "job_id": "4348601461",
        "company_name": "Venetian Meetings",
        "company_profile": "https://www.linkedin.com/company/venetianmeetings?trk=public_jobs_jserp-result_job-search-card-subtitle",
        "job_location": "Las Vegas, NV",
        "job_posting_date": "2025-12-05",
        "company_logo_url": "https://media.licdn.com/dms/image/v2/D560BAQEmDGZTnxEvng/company-logo_100_100/company-logo_100_100/0/1712074832103/venetianmeetings_logo?e=2147483647&v=beta&t=WA_NW8bPlUzhj3p3kK3YNJetrbpPWiCD9SZ_KrymaUA"
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrapingdog.com/jobs-search-scraper/scrape-jobs-search-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
